Subject: Re: [PATCH v5 7/9] BreakingChanges: announce Rust becoming mandatory

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 22 Sep 2025 16:38:36 +0200

On Mon, Sep 22, 2025 at 03:07:40PM +0100, Phillip Wood wrote:
> Hi Patrick
> 
> On 22/09/2025 14:01, Patrick Steinhardt wrote:
> > On Fri, Sep 19, 2025 at 02:59:58PM +0100, Phillip Wood wrote:
> > > On 15/09/2025 12:22, Patrick Steinhardt wrote:
> > > > 
> > > > +You can explicitly ask both Meson and our Makefile-based system to enable Rust
> > > > +by saying `meson configure -Drust=enabled` and `make WITH_RUST=YesPlease`,
> > > > +respectively.
> > > 
> > > This is helpful but ideally before Git 2.53 we'd make the Makefile and meson
> > > print that information if they fail due to a missing rust compiler.
> > 
> > The intent here is to allow us a bit of time to iterate on the build
> > infra before making either of the build systems error out. Ezekiel has a
> > bunch of follow-ups that we'll want to land to also unblock support on
> > Windows and to implement things we don't yet have, like Rust-accessible
> > C bindings.
> > 
> > Is there any particular reason why you want to accelerate this timeline
> > and make the build systems error out right from the start?
> 
> I'm not suggesting that. I'm saying when rust is enabled by default in Git
> 2.53, if the Makefile cannot find a rust compiler it should print a message
> that says how to build git without rust so that users do not have to wade
> through this document or our release notes to find out how to do that.

Ah, sorry, I misread what you were saying. This would be a useful thing
to do indeed.

Patrick